'------------------------------------------------------------------------
'                          ShareReactor.vbs (v2.4)
'------------------------------------------------------------------------
' - Run "RunMeInBackground" -function in order to get your data updated.
'   Your antivirus-software may detect this as a malicious script, but
'   that's just because this writes a small temporary (.tmp) file into
'   your system.
'
' - Use "Add text file" -meter to view (*)
'
' - In TextFile Properties write down full path of your TEMP_DIR (see below)
'   and filename sharereactor.tmp into "Text File To Read From:" -datafield
'   (tex. c:\program files\samurize\configs\sharereactor.tmp) (*)
'
'   (*) Only if NO_TEMPFILE = FALSE
'
'
' - You may change user variables below.
'
'								- Sami 
'------------------------------------------------------------------------
Function RunMeInBackground

'------ User variables -------------
	const TEMP_DIR = ""			' "String" - Where to save temp-file. ( tex. "C:\temp\" )
						' (leaving this empty ("") will save temp-file somewhere in the samurize-folder)
	
	const NO_TEMPFILE = FALSE		' TRUE - Returns whole thing into text %v-variable without saving tmp-file
						' FALSE - Saves everything into tmp-file (recommended)
						' In case of a network failure, TRUE only displays "Network error" while FALSE leaves tmp-file intact.

	const DATE_FORMAT = "DD.MM.YYYY"	' "String" - How to display timestamp. DD, MM, YY and YYYY supported.
	const SEPARATOR = " - "			' "String" - What to put between date and item
	const SHOW_DATE = TRUE			' TRUE = include date , FALSE = do not include date
	const SHOW_GATEGORY = TRUE		' TRUE = show file gategory , FALSE = no gategory included
	const TOTAL = 25			' 1-25 - amount of releases to go through

						' Filter-options:
	const FILTER_DVDRIPS = FALSE		' TRUE - filter out DVD-Rips , FALSE - No filtering
	const FILTER_SCREENERS = FALSE		' TRUE - filter out Screeners , FALSE - No filtering
	const FILTER_ANIME = FALSE		' TRUE - filter out Anime , FALSE - No filtering
	const FILTER_SERIES = FALSE		' TRUE - filter out Series , FALSE - No filtering
	const FILTER_PCGAMES = FALSE		' TRUE - filter out PC Games , FALSE - No filtering
	const FILTER_CONSOLES = FALSE		' TRUE - filter out Consoles , FALSE - No filtering
	const FILTER_SOFTWARE = FALSE		' TRUE - filter out Software , FALSE - No filtering
	const FILTER_BOOKS = FALSE		' TRUE - filter out Books , FALSE - No filtering
	const FILTER_FUNSTUFF = FALSE		' TRUE - filter out Funstuff , FALSE - No filtering
	const FILTER_ADULT = FALSE		' TRUE - filter out Adult , FALSE - No filtering
	const FILTER_HENTAI = FALSE		' TRUE - filter out Hentai , FALSE - No filtering
	const FILTER_PS2 = FALSE		' TRUE - filter out PS2 , FALSE - No filtering
	const FILTER_XBOX = FALSE		' TRUE - filter out XBOX , FALSE - No filtering
	const FILTER_GAY = FALSE		' TRUE - filter out Gay-material, FALSE - No filtering
'-----------------------------------

	dim htmlResult,fs,f,outputti,rivi,aika,aikatmp
	htmlResult = ReturnHTML("http://www.sharereactor.com/sharereactor.rdf")

	if htmlResult <> "Network error" then
		outputti = NULL
		relnext = instr(htmlResult, "<item>")

		if relnext > 0 then
			for i = 1 to TOTAL
				aloitus = instr( relnext, htmlResult, "<title>")
				if aloitus = 0 then exit for end if
				aloitus = aloitus + 7
				lopetus = instr( aloitus, htmlResult, "</title>")
				if lopetus = 0 then exit for end if
				relnext = lopetus

				rivi = right(mid( htmlResult, aloitus, lopetus-aloitus ), lopetus-aloitus-11)
				aikatmp = mid( htmlResult, aloitus, 8 )
				if left(aikatmp,1) = "p" then exit for end if

				filt = 0
				if FILTER_DVDRIPS = TRUE and right(rivi, 10) = "(DVD Rips)" then filt = 1 end if
				if FILTER_SCREENERS = TRUE and right(rivi, 11) = "(Screeners)" then filt = 1 end if
				if FILTER_ANIME = TRUE and right(rivi, 7) = "(Anime)" then filt = 1 end if
				if FILTER_SERIES = TRUE and right(rivi, 8) = "(Series)" then filt = 1 end if
				if FILTER_PCGAMES = TRUE and right(rivi, 10) = "(PC Games)" then filt = 1 end if
				if FILTER_CONSOLES = TRUE and right(rivi, 10) = "(Consoles)" then filt = 1 end if
				if FILTER_SOFTWARE = TRUE and right(rivi, 10) = "(Software)" then filt = 1 end if
				if FILTER_BOOKS = TRUE and right(rivi, 7) = "(Books)" then filt = 1 end if
				if FILTER_FUNSTUFF = TRUE and right(rivi, 10) = "(Funstuff)" then filt = 1 end if
				if FILTER_ADULT = TRUE and right(rivi, 7) = "(Adult)" then filt = 1 end if
				if FILTER_HENTAI = TRUE and right(rivi, 8) = "(Hentai)" then filt = 1 end if
				if FILTER_PS2 = TRUE and right(rivi, 5) = "(PS2)" then filt = 1 end if
				if FILTER_XBOX = TRUE and right(rivi, 6) = "(XBOX)" then filt = 1 end if
				if FILTER_GAY = TRUE and right(rivi, 5) = "(Gay)" then filt = 1 end if

				if filt = 0 then
					if SHOW_GATEGORY = FALSE then
						aloitus = instrrev(rivi, " (" )
						if aloitus > 0 then
							rivi = left(rivi, aloitus - 1)
						end if
					end if
					if SHOW_DATE = TRUE then
						aika = DATE_FORMAT
						aika = replace(aika, "DD", left(aikatmp,2))
						aika = replace(aika, "MM", mid(aikatmp,4,2))
						aika = replace(aika, "YYYY", "20" & mid(aikatmp,7,2))
						aika = replace(aika, "YY", mid(aikatmp,7,2))
						outputti = outputti & aika & SEPARATOR & rivi & (Chr(13) & Chr(10))
					else
						outputti = outputti & rivi & (Chr(13) & Chr(10))
					end if
				end if
			next

			outputti = replace(outputti, "&#38;", "&")
			if NO_TEMPFILE = FALSE then
				outputti = outputti & (Chr(13) & Chr(10))
				set fs=CreateObject("Scripting.FileSystemObject")
				set f=fs.CreateTextFile(TEMP_DIR&"sharereactor.tmp",true)
				f.write(outputti)
				f.close
				set f=nothing
				set fs=nothing
			else
				RunMeInBackground = replace(outputti, (Chr(13) & Chr(10)), "%b")
			end if
		end if
	else
		RunMeInBackground = htmlResult
	end if

End Function

Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("MSXML2.ServerXMLHTTP")
	On Error Resume Next
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	if err = 0 then
		HTML = objXMLHTTP.responseBody
		Set objRS = CreateObject("ADODB.Recordset")
		objRS.Fields.Append "txt", 200, 35000, &H00000080
		objRS.Open
		objRS.AddNew
		objRS.Fields("txt").AppendChunk HTML
		ReturnHTML = objRS("txt").Value
		objRS.Close
		Set objRS = Nothing
	else
		ReturnHTML = "Network error"
	end if
	On Error GoTo 0
	Set objXMLHTTP = Nothing
End Function
